Uploaded image for project: 'Network Observability'
  1. Network Observability
  2. NETOBSERV-1011

Multiple registration for plugin proxy

Details

    • Bug
    • Resolution: Cannot Reproduce
    • Major
    • None
    • None
    • None
    • None
    • False
    • None
    • False

    Description

       

      panic: http: multiple registrations for /api/proxy/plugin/netobserv-plugin/backend/ 

      We use different values upstream vs downstream to register console plugin:

      • netobserv-plugin
      • network-observability-plugin

      We should either use the same or check both to avoid a previous installation (upstream for example) impacting the current one (downstream for example).

      https://github.com/netobserv/network-observability-operator/blob/cbb98037942103ee5ecc54ff3cb3a77274e52102/controllers/consoleplugin/consoleplugin_reconciler.go#L120

      Related thread:

      https://redhat-internal.slack.com/archives/C03PUMXPZGQ/p1683012568831239?thread_ts=1682335591.430679&cid=C03PUMXPZGQ

      Attachments

        Issue Links

          Activity

            People

              Unassigned Unassigned
              jpinsonn@redhat.com Julien Pinsonneau
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: